/*
 * Constants.java
 *
 * @author Dennis Chao
 * @version
 * @created March 9, 2005
 *
 * simulation constants
 */

package sim;

public class Constants {
	
	// simulation constants
	public static final int VERSIONMAJOR = 4;            // major revision number
	public static final int VERSIONMINOR = 0;            // minor revision number
			
	// Wounding constants
	// TODO make CRYPTCHRONICWOUNDINGPERIODDAYS a parameter to sweep
	public static final int CRYPTCHRONICWOUNDINGPERIODDAYS = 1; // period (in days) between impact of chronic wounding for crypts
    //	public static final int CRYPTMUTATIONPERIODDAYS = 10; // period (in days) of mutation events (essentially tied to ~10 day crypt lifetime) -- I don't get it (DLC)

	// Division constants
	public static final int MEANCRYPTDIVISIONDAYS = 2; // mean number of days for cell division after receiving neighbor death signal
    //	public static final int CRYPTDIVISIONSTDDEV = 1;  // standard deviation for cell division events sampled from normal distribution
	
	// Simulation dominance endpoint constants
	public static final double TISSUEDEATHDOMINANCETHRESHOLD = 0.95;  // tissue is considered dominated if at least this amount of the tissue is dead
	public static final double TISSUEMUTANTDOMINANCETHRESHOLD = 0.1;  // tissue is considered dominated if at least this amount of the tissue is mutant
}
